path: /build/build/oniguruma-dev-libs-6.9.10+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-libs/oniguruma -pv -t
  - |
    emerge -j ${JOBS} --nodeps dev-libs/oniguruma
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/oniguruma && luet-portage --dir
    /pkgdir/oniguruma dev-libs/oniguruma
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:cb76640db44f35e8bb4602a0783ca52972f0776a9fbc32cf050b985a5f3404b8
  package:
    name: oniguruma
    version: 6.9.10+1
    category: dev-libs
    requires:
    - name: macaroni-funtoo-race7
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Regular expression library for different character encodings
    uri:
    - https://github.com/kkos/oniguruma
    license: BSD-2
    buildtimestamp: 2026-05-21 00:03:14.946585118 +0000 UTC m=+92.152572277
    labels:
      IUSE: crnl-as-line-terminator static-libs abi_x86_32 abi_x86_64 abi_x86_x32
        abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
      emerge.packages: dev-libs/oniguruma
      kit: dev-kit
      original.package.name: dev-libs/oniguruma
      original.package.slot: "0"
      original.package.version: 6.9.10
    treedir: /build/packages
  package_dir: /pkgdir/oniguruma
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8604c247d90f68f0585aad6554ac6df94058f387215898bedf28e7bba12b90e9
compressiontype: zstd
files:
- usr/bin/onig-config
- usr/include/oniggnu.h
- usr/include/oniguruma.h
- usr/lib64/libonig.so
- usr/lib64/libonig.so.5
- usr/lib64/libonig.so.5.5.0
- usr/lib64/pkgconfig/oniguruma.pc
- usr/share/doc/oniguruma-6.9.10/API.bz2
- usr/share/doc/oniguruma-6.9.10/API.ja.bz2
- usr/share/doc/oniguruma-6.9.10/AUTHORS
- usr/share/doc/oniguruma-6.9.10/CALLOUTS.API.bz2
- usr/share/doc/oniguruma-6.9.10/CALLOUTS.API.ja.bz2
- usr/share/doc/oniguruma-6.9.10/CALLOUTS.BUILTIN.bz2
- usr/share/doc/oniguruma-6.9.10/CALLOUTS.BUILTIN.ja.bz2
- usr/share/doc/oniguruma-6.9.10/FAQ.bz2
- usr/share/doc/oniguruma-6.9.10/FAQ.ja.bz2
- usr/share/doc/oniguruma-6.9.10/HISTORY.bz2
- usr/share/doc/oniguruma-6.9.10/RE.bz2
- usr/share/doc/oniguruma-6.9.10/RE.ja.bz2
- usr/share/doc/oniguruma-6.9.10/README.bz2
- usr/share/doc/oniguruma-6.9.10/README_japanese.bz2
- usr/share/doc/oniguruma-6.9.10/SYNTAX.md.bz2
- usr/share/doc/oniguruma-6.9.10/UNICODE_PROPERTIES.bz2
- var/db/pkg/dev-libs/oniguruma-6.9.10/BUILD_TIME
- var/db/pkg/dev-libs/oniguruma-6.9.10/CATEGORY
- var/db/pkg/dev-libs/oniguruma-6.9.10/CBUILD
- var/db/pkg/dev-libs/oniguruma-6.9.10/CFLAGS
- var/db/pkg/dev-libs/oniguruma-6.9.10/CHOST
- var/db/pkg/dev-libs/oniguruma-6.9.10/CONTENTS
- var/db/pkg/dev-libs/oniguruma-6.9.10/COUNTER
- var/db/pkg/dev-libs/oniguruma-6.9.10/CTARGET
- var/db/pkg/dev-libs/oniguruma-6.9.10/CXX
- var/db/pkg/dev-libs/oniguruma-6.9.10/CXXFLAGS
- var/db/pkg/dev-libs/oniguruma-6.9.10/DEFINED_PHASES
- var/db/pkg/dev-libs/oniguruma-6.9.10/DESCRIPTION
- var/db/pkg/dev-libs/oniguruma-6.9.10/EAPI
- var/db/pkg/dev-libs/oniguruma-6.9.10/FEATURES
- var/db/pkg/dev-libs/oniguruma-6.9.10/HOMEPAGE
- var/db/pkg/dev-libs/oniguruma-6.9.10/INHERITED
- var/db/pkg/dev-libs/oniguruma-6.9.10/IUSE
- var/db/pkg/dev-libs/oniguruma-6.9.10/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/oniguruma-6.9.10/KEYWORDS
- var/db/pkg/dev-libs/oniguruma-6.9.10/LDFLAGS
- var/db/pkg/dev-libs/oniguruma-6.9.10/LICENSE
- var/db/pkg/dev-libs/oniguruma-6.9.10/NEEDED
- var/db/pkg/dev-libs/oniguruma-6.9.10/NEEDED.ELF.2
- var/db/pkg/dev-libs/oniguruma-6.9.10/PF
- var/db/pkg/dev-libs/oniguruma-6.9.10/PROVIDES
- var/db/pkg/dev-libs/oniguruma-6.9.10/REQUIRES
- var/db/pkg/dev-libs/oniguruma-6.9.10/SIZE
- var/db/pkg/dev-libs/oniguruma-6.9.10/SLOT
- var/db/pkg/dev-libs/oniguruma-6.9.10/USE
- var/db/pkg/dev-libs/oniguruma-6.9.10/environment.bz2
- var/db/pkg/dev-libs/oniguruma-6.9.10/oniguruma-6.9.10.ebuild
- var/db/pkg/dev-libs/oniguruma-6.9.10/repository
package_cacheimage: ""
runtime:
  name: oniguruma
  version: 6.9.10+1
  category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Regular expression library for different character encodings
  uri:
  - https://github.com/kkos/oniguruma
  license: BSD-2
  labels:
    IUSE: crnl-as-line-terminator static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
      abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    emerge.packages: dev-libs/oniguruma
    kit: dev-kit
    original.package.name: dev-libs/oniguruma
    original.package.slot: "0"
    original.package.version: 6.9.10
